Bug 163657 - Bad: Does not automount or provide method of mounting USB Key
Bad: Does not automount or provide method of mounting USB Key
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 18:33 EDT by krt
Modified: 2012-06-20 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:19:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description krt 2005-07-19 18:33:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Bad: I cannot mount my USB Key.  It is a SanDisk Cruzer Mini 256mb.  This same disk works under Gentoo and Knoppix on the same hardware.

The Redhat installation (RHEL 4 AS) sees the usbkey, but does not mount it, nor let me access the /dev/sda devices.







Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in usb disk
2. Try to mount it (mount /dev/sda1 /mnt, etc.)
3. Look at the dmesg output

  

Actual Results:  # mount /dev/sda1 /mnt
mount: /dev/sda1 is not a valid block device
# ls -al /dev/sda1
brw-r-----  1 root disk 8, 1 Jul 19 10:48 /dev/sda
#

This is what occurs when I plug it in:
USB Mass Storage device found at 5
usb 3-1.3: USB disconnect, address 5
usb 3-1.3: new full speed USB device using address 6
usb 3-1.3: not running at top speed; connect to a high speed hub
scsi5 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 1.04
  Type:   Direct-Access                      ANSI SCSI revision: 02
sda : unsupported sector size -805371904.
SCSI device sda: 0 512-byte hdwr sectors (0 MB)
sda: Write Protect is off
sda: Mode Sense: 02 00 00 00
sda: assuming drive cache: write through
Attached scsi removable disk sda at scsi5, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi5, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 6



Expected Results:  It should have either mounted the disk automatically or let me mount the disk.  I suspect that the 0MB detected size bit shown in the dmesg output is the big clue here.  I.e.:
sda : unsupported sector size -805371904.
SCSI device sda: 0 512-byte hdwr sectors (0 MB)



Additional info:
Comment 1 Thomas Woerner 2005-07-20 06:30:46 EDT
This is no usbutils problem.

Assigning to kernel.
Comment 2 Pete Zaitcev 2005-07-22 00:12:35 EDT
I need the precise kernel version (to split U1 off GA: this may be
a regression of the toggle-clearing bug). Best of all is /proc/version
(shows -hugemem too)
Comment 3 krt 2005-07-22 14:47:28 EDT
$ cat /proc/version
Linux version 2.6.9-5.EL (bhcompile@decompose.build.redhat.com) (gcc version
3.4.3 20041212 (Red Hat 3.4.3-9.EL4)) #1 Wed Jan 5 19:22:18 EST 2005
$

Comment 4 Gary Mansell 2005-11-25 06:18:02 EST
I have seen this bug too - with a 512MB Sony Memory Stick Pro Duo card attached
via a USB card reader. The card mounts fine in other machines that run Windows.
I then downloaded and installed a Vanilla custom kernel - 2.6.14-3 and it mounts
fine.

Here is a sample of my messages file when problems were seen:

Nov 14 08:56:54 grma-lap kernel: SCSI device sda: 960512 512-byte hdwr sectors
(492 MB)
Nov 14 08:56:54 grma-lap kernel: sda: Write Protect is off
Nov 14 08:56:54 grma-lap kernel: sda: assuming drive cache: write through
Nov 14 08:56:54 grma-lap kernel: SCSI device sda: 960512 512-byte hdwr sectors
(492 MB)
Nov 14 08:56:54 grma-lap kernel: sda: Write Protect is off
Nov 14 08:56:54 grma-lap kernel: sda: assuming drive cache: write through
Nov 14 08:56:54 grma-lap kernel:  sda: sda1
Nov 14 08:58:09 grma-lap kernel: usb 1-3: reset high speed USB device using
address 3
Nov 14 09:00:01 grma-lap crond(pam_unix)[2644]: session opened for user root by
(uid=0)
Nov 14 09:00:01 grma-lap crond(pam_unix)[2645]: session opened for user root by
(uid=0)
Nov 14 09:00:02 grma-lap crond(pam_unix)[2645]: session closed for user root
Nov 14 09:00:02 grma-lap crond(pam_unix)[2644]: session closed for user root
Nov 14 09:00:26 grma-lap kernel: usb 1-3: reset high speed USB device using
address 3
Nov 14 09:01:01 grma-lap crond(pam_unix)[2681]: session opened for user root by
(uid=0)
Nov 14 09:01:01 grma-lap crond(pam_unix)[2681]: session closed for user root
Nov 14 09:02:42 grma-lap kernel: usb 1-3: reset high speed USB device using
address 3
Nov 14 09:02:43 grma-lap kernel: SCSI error : <0 0 0 0> return code = 0x6000000
Nov 14 09:02:43 grma-lap kernel: end_request: I/O error, dev sda, sector 959337
Nov 14 09:02:43 grma-lap kernel: Buffer I/O error on device sda1, logical block
958848
Nov 14 09:02:43 grma-lap fstab-sync[2768]: added mount point /media/GStik for
/dev/sda1
Nov 14 09:10:01 grma-lap crond(pam_unix)[3080]: session opened for user root by
(uid=0)
Nov 14 09:10:01 grma-lap crond(pam_unix)[3080]: session closed for user root
Nov 14 09:17:05 grma-lap kernel: SCSI device sda: 960512 512-byte hdwr sectors
(492 MB)
Nov 14 09:17:05 grma-lap kernel: sda: Write Protect is off
Nov 14 09:17:05 grma-lap kernel: sda: assuming drive cache: write through
Nov 14 09:17:05 grma-lap kernel: SCSI device sda: 960512 512-byte hdwr sectors
(492 MB)
Nov 14 09:17:05 grma-lap kernel: sda: Write Protect is off
Nov 14 09:17:05 grma-lap kernel: sda: assuming drive cache: write through
Nov 14 09:17:05 grma-lap kernel:  sda: sda1
Nov 14 09:19:22 grma-lap kernel: usb 1-3: reset high speed USB device using
address 3
Nov 14 09:20:01 grma-lap crond(pam_unix)[3428]: session opened for user root by
(uid=0)
Nov 14 09:20:01 grma-lap crond(pam_unix)[3428]: session closed for user root
Nov 14 09:21:46 grma-lap kernel: usb 1-3: reset high speed USB device using
address 3
Nov 14 09:21:46 grma-lap kernel: Device sda not ready.
Nov 14 09:21:46 grma-lap kernel: end_request: I/O error, dev sda, sector 959337
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958848
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958849
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958850
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958851
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958852
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958853
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958854
Nov 14 09:21:46 grma-lap kernel: Buffer I/O error on device sda1, logical block
958855
Comment 5 Jiri Pallich 2012-06-20 09:19:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.